%define release 1%{_my_ext}

%if %mdkversion < 1010
%define __libtoolize /bin/true
%endif

Summary:	KDE frontend for the Clam AntiVirus virus scanner
Name:		klamav
Version:	0.35
Release:        %{release}
Vendor:         %{vendor}
Packager:       %{packager}
Distribution:   %{distribution}
License:	GPL
Group:		File tools
URL:		http://sourceforge.net/projects/klamav/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: 	klamav.sh
Source2: 	klamav-dropdown.desktop
BuildRequires:	kdelibs-devel
BuildRequires:	chrpath
BuildRequires:	clamav-devel
Requires:	clamav
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
KlamAV provides ClamAV protection for the KDE desktop. It includes
'on access' scanning, manual scanning, quarantine management,
downloading of updates, mail scanning, and automated installation.

%prep
%setup -q -n %name-%{version}

#cd %name-%{version}

# Use context menu
cat %SOURCE2 > src/klamav-dropdown.desktop

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
%configure
make

%install
rm -Rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_menudir} %{buildroot}/%{_miconsdir} %{buildroot}/%{_liconsdir}
kdedesktop2mdkmenu.pl %{name} "System/File Tools" %{buildroot}/%{_datadir}/applnk/Utilities/klamav.desktop %{buildroot}/%{_menudir}/%{name}
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/klamav
mv %{buildroot}%{_bindir}/klamav %{buildroot}%{_bindir}/klamav-real
cp %SOURCE1 %{buildroot}%{_bindir}/klamav


%post
%update_menus

%postun
%clean_menus

%clean
rm -Rf %{buildroot}

%files 
%defattr(-,root,root)
%attr (755,root,root) %{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/%{name}.png
%{_datadir}/applnk/Utilities/klamav.desktop
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/doc/HTML/en/klamav02/
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/config.kcfg/*

%_datadir/locale/*/*/klamav.mo

%changelog
* Sat Feb 4 2006 Scott Grayban <sgrayban@borgnet.us>
 - New version release

* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Wed Jun 04 2005 Scott Grayban <sgrayban@borgnet.us> 0.20-1bgn
  - New version
